package main
import "time"
type Inventor struct {
   Person
   ResidentCountry Country `json:"residentCountry"`
   InventorResidency Residency `json:"inventorResidency"`
}
type Applicant struct {
   Person
}
type Assignee struct {
   Person
}
type AssetNumberStatus int
const (
   APP AssetNumberStatus = 1 + iota
   PAT
   PUB
   REISS
   FOR
)
type ApplicationType int
const (
   PROV ApplicationType = 1 + iota
   NONPROV
)
type SubjectMatter int
const (
   UTILITY SubjectMatter = 1 + iota
   PLANT
   DESIGN
)
